Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class PersistenceContextRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.PersistenceContextRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, PersistenceContextRefType<T>

    public class PersistenceContextRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, PersistenceContextRefType<T>

This class implements the `persistence-context-refType` xsd type

Original Documentation:

[
The persistence-context-ref element contains a declaration
of Deployment Component's reference to a persistence context
associated within a Deployment Component's
environment. It consists of:
- an optional description
- the persistence context reference name
- an optional persistence unit name. If not specified,
the default persistence unit is assumed.
- an optional specification as to whether
the persistence context type is Transaction or
Extended. If not specified, Transaction is assumed.
- an optional list of persistence properties
- optional injection targets
Examples:
myPersistenceContext
myPersistenceContext
PersistenceUnit1
Extended

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PersistenceContextRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PersistenceContextRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<PersistenceContextRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getPersistenceContextRefName()` Returns the `persistence-context-ref-name` element
`PersistenceContextTypeType` | `getPersistenceContextType()` Returns the `persistence-context-type` element
`java.lang.String` | `getPersistenceContextTypeAsString()` Returns the `persistence-context-type` element
`java.util.List<PropertyType<PersistenceContextRefType<T>>>` | `getPersistencePropertyList()` Returns all `persistence-property` elements
`java.lang.String` | `getPersistenceUnitName()` Returns the `persistence-unit-name` element
`InjectionTargetType<PersistenceContextRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`PropertyType<PersistenceContextRefType<T>>` | `persistenceProperty()` Returns the `persistence-property` element
`PersistenceContextRefType<T>` | `removeAllDescription()` Removes the `description` element
`PersistenceContextRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`PersistenceContextRefType<T>` | `removeAllPersistenceProperty()` Removes all `persistence-property` elements
`PersistenceContextRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`PersistenceContextRefType<T>` | `removePersistenceContextRefName()` Removes the `persistence-context-ref-name` element
`PersistenceContextRefType<T>` | `removePersistenceUnitName()` Removes the `persistence-unit-name` element
`PersistenceContextRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`PersistenceContextRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`PersistenceContextRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceContextRefName(java.lang.String persistenceContextRefName)` If not already created, a new `persistence-context-ref-name` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceContextType(PersistenceContextTypeType persistenceContextType)` If not already created, a new `persistence-context-type` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceContextType(java.lang.String persistenceContextType)` If not already created, a new `persistence-context-type` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceUnitName(java.lang.String persistenceUnitName)` If not already created, a new `persistence-unit-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceContextRefTypeImpl

    public PersistenceContextRefTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node)

### PersistenceContextRefTypeImpl

    public PersistenceContextRefTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node,
                                         org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setMappedName

    public PersistenceContextRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### removeMappedName

    public PersistenceContextRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public PersistenceContextRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### injectionTarget

    public InjectionTargetType<PersistenceContextRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<PersistenceContextRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `PersistenceContextRefType<T>`
  Returns:
    list of `injection-target`

### setDescription

    public PersistenceContextRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### setDescriptionList

    public PersistenceContextRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `PersistenceContextRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `PersistenceContextRefType`

### removeAllDescription

    public PersistenceContextRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `PersistenceContextRefType<T>`
  Returns:
    list of `description`

### setPersistenceContextRefName

    public PersistenceContextRefType<T> setPersistenceContextRefName(java.lang.String persistenceContextRefName)

  If not already created, a new `persistence-context-ref-name` element with the given value will be created. Otherwise, the existing `persistence-context-ref-name` element will be updated with the given value.

  Specified by:
    `setPersistenceContextRefName` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### removePersistenceContextRefName

    public PersistenceContextRefType<T> removePersistenceContextRefName()

  Removes the `persistence-context-ref-name` element

  Specified by:
    `removePersistenceContextRefName` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### getPersistenceContextRefName

    public java.lang.String getPersistenceContextRefName()

  Returns the `persistence-context-ref-name` element

  Specified by:
    `getPersistenceContextRefName` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `persistence-context-ref-name`

### setPersistenceUnitName

    public PersistenceContextRefType<T> setPersistenceUnitName(java.lang.String persistenceUnitName)

  If not already created, a new `persistence-unit-name` element with the given value will be created. Otherwise, the existing `persistence-unit-name` element will be updated with the given value.

  Specified by:
    `setPersistenceUnitName` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### removePersistenceUnitName

    public PersistenceContextRefType<T> removePersistenceUnitName()

  Removes the `persistence-unit-name` element

  Specified by:
    `removePersistenceUnitName` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### getPersistenceUnitName

    public java.lang.String getPersistenceUnitName()

  Returns the `persistence-unit-name` element

  Specified by:
    `getPersistenceUnitName` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `persistence-unit-name`

### setPersistenceContextType

    public PersistenceContextRefType<T> setPersistenceContextType(PersistenceContextTypeType persistenceContextType)

  If not already created, a new `persistence-context-type` element with the given value will be created. Otherwise, the existing `persistence-context-type` element will be updated with the given value.

  Specified by:
    `setPersistenceContextType` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### setPersistenceContextType

    public PersistenceContextRefType<T> setPersistenceContextType(java.lang.String persistenceContextType)

  If not already created, a new `persistence-context-type` element with the given value will be created. Otherwise, the existing `persistence-context-type` element will be updated with the given value.

  Specified by:
    `setPersistenceContextType` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### getPersistenceContextType

    public PersistenceContextTypeType getPersistenceContextType()

  Returns the `persistence-context-type` element

  Specified by:
    `getPersistenceContextType` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `persistence-context-type`

### getPersistenceContextTypeAsString

    public java.lang.String getPersistenceContextTypeAsString()

  Returns the `persistence-context-type` element

  Specified by:
    `getPersistenceContextTypeAsString` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `persistence-context-type`

### removeAllPersistenceProperty

    public PersistenceContextRefType<T> removeAllPersistenceProperty()

  Removes all `persistence-property` elements

  Specified by:
    `removeAllPersistenceProperty` in interface `PersistenceContextRefType<T>`
  Returns:
    the current instance of `PersistenceContextRefType`

### persistenceProperty

    public PropertyType<PersistenceContextRefType<T>> persistenceProperty()

  Returns the `persistence-property` element

  Specified by:
    `persistenceProperty` in interface `PersistenceContextRefType<T>`
  Returns:
    the node defined for the element `persistence-property`

### getPersistencePropertyList

    public java.util.List<PropertyType<PersistenceContextRefType<T>>> getPersistencePropertyList()

  Returns all `persistence-property` elements

  Specified by:
    `getPersistencePropertyList` in interface `PersistenceContextRefType<T>`
  Returns:
    list of `persistence-property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD